summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2022-11-21 09:07:24 +0100
committerRemi Collet <remi@php.net>2022-11-21 09:07:24 +0100
commitf630d0fcf873c1e0f97b74a41f476878948ebc08 (patch)
tree7d9f558ca0d38f3c0751deef194fe98accdb83ec
parentd7cfaf7e66975e739291f99f1f0bedbc5cd82b41 (diff)
update to 2.11.1 (no change)HEADmaster
raise dependency on PHP 8.0
-rw-r--r--composer.json16
-rw-r--r--php-laminas-soap.spec24
2 files changed, 27 insertions, 13 deletions
diff --git a/composer.json b/composer.json
index 8fc4369..e126357 100644
--- a/composer.json
+++ b/composer.json
@@ -16,10 +16,16 @@
"forum": "https://discourse.laminas.dev"
},
"config": {
- "sort-packages": true
+ "sort-packages": true,
+ "platform": {
+ "php": "8.0.99"
+ },
+ "allow-plugins": {
+ "dealerdirect/phpcodesniffer-composer-installer": true
+ }
},
"require": {
- "php": "~7.4.0 || ~8.0.0 || ~8.1.0",
+ "php": "~8.0.0 || ~8.1.0 || ~8.2.0",
"ext-dom": "*",
"ext-soap": "*",
"laminas/laminas-server": "^2.11",
@@ -27,11 +33,13 @@
"laminas/laminas-uri": "^2.9.1"
},
"require-dev": {
- "laminas/laminas-coding-standard": "~2.2.1",
+ "laminas/laminas-coding-standard": "~2.4",
"laminas/laminas-config": "^3.7",
"laminas/laminas-http": "^2.15",
"phpspec/prophecy-phpunit": "^2.0.1",
- "phpunit/phpunit": "^9.5.5"
+ "phpunit/phpunit": "^9.5.5",
+ "psalm/plugin-phpunit": "^0.18.3",
+ "vimeo/psalm": "^4.30"
},
"suggest": {
"ext-curl": "Curl is required when .NET compatibility is required",
diff --git a/php-laminas-soap.spec b/php-laminas-soap.spec
index 6ce0bd1..0170fed 100644
--- a/php-laminas-soap.spec
+++ b/php-laminas-soap.spec
@@ -1,13 +1,13 @@
# remirepo/Fedora spec file for php-laminas-soap
#
-# Copyright (c) 2015-2021 Remi Collet
+# Copyright (c) 2015-2022 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit b1245a09b523485060407f73a0058fb871d2c656
+%global gh_commit 1d3a45071b098062b97ff05b68523fb2fe322f9b
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-soap
@@ -22,7 +22,7 @@
%endif
Name: php-%{gh_project}
-Version: 2.10.0
+Version: 2.11.1
Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
@@ -34,7 +34,7 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 7.3
+BuildRequires: php(language) >= 8.0
BuildRequires: php-curl
BuildRequires: php-dom
BuildRequires: php-libxml
@@ -48,11 +48,13 @@ BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6
BuildRequires: (php-autoloader(%{gh_owner}/laminas-uri) >= 2.9.1 with php-autoloader(%{gh_owner}/laminas-uri) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.1 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "require-dev": {
-# "laminas/laminas-coding-standard": "~2.2.1",
+# "laminas/laminas-coding-standard": "~2.4",
# "laminas/laminas-config": "^3.7",
# "laminas/laminas-http": "^2.15",
# "phpspec/prophecy-phpunit": "^2.0.1",
-# "phpunit/phpunit": "^9.5.5"
+# "phpunit/phpunit": "^9.5.5",
+# "psalm/plugin-phpunit": "^0.18.3",
+# "vimeo/psalm": "^4.30"
BuildRequires: (php-autoloader(%{gh_owner}/laminas-config) >= 3.7 with php-autoloader(%{gh_owner}/laminas-config) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-http) >= 2.15 with php-autoloader(%{gh_owner}/laminas-http) < 3)
BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0.1 with php-composer(phpspec/prophecy-phpunit) < 3)
@@ -73,13 +75,13 @@ BuildRequires: phpunit9 >= 9.5.5
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "~7.4.0 || ~8.0.0 || ~8.1.0",
+# "php": "~8.0.0 || ~8.1.0 || ~8.2.0",
# "ext-dom": "*",
# "ext-soap": "*",
# "laminas/laminas-server": "^2.11",
# "laminas/laminas-stdlib": "^3.6",
# "laminas/laminas-uri": "^2.9.1",
-Requires: php(language) >= 7.3
+Requires: php(language) >= 8.0
Requires: php-dom
Requires: php-soap
%if ! %{bootstrap}
@@ -191,7 +193,7 @@ exit (class_exists("\\Zend\\%{library}\\Server") ? 0 : 1);
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php73 php74 php80 php81; do
+for cmdarg in "php %{phpunit}" php80 php81 php82; do
if which $cmdarg; then
set $cmdarg
$1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
@@ -214,6 +216,10 @@ exit $ret
%changelog
+* Mon Nov 21 2022 Remi Collet <remi@remirepo.net> - 2.11.1-1
+- update to 2.11.1 (no change)
+- raise dependency on PHP 8.0
+
* Thu Oct 14 2021 Remi Collet <remi@remirepo.net> - 2.10.0-1
- update to 2.10.0
- raise dependency on PHP 7.4